Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::EventChannelFactory Interface Reference

Defines the interface used to build event channels. More...

`#include <CosNotifyChannelAdmin.idl>`

List of all members.

## Public Methods
EventChannel | create_channel (in CosNotification::QoSProperties initial_qos, in CosNotification::AdminProperties initial_admin, out ChannelID id) raises (CosNotification::UnsupportedQoS, CosNotification::UnsupportedAdmin )
| Create a new event channel. More...
ChannelIDSeq | get_all_channels ()
| Get the complete list of event channels in this factory.
EventChannel | get_event_channel ( in ChannelID id ) raises (ChannelNotFound)
| Get an event channel given its ID. More...

## Detailed Description

Defines the interface used to build event channels.

## Member Function Documentation

EventChannel CosNotifyChannelAdmin::EventChannelFactory::create_channel ( | in CosNotification::QoSProperties initial_qos,
| in CosNotification::AdminProperties initial_admin,
| out ChannelID id ) raises (CosNotification::UnsupportedQoS, CosNotification::UnsupportedAdmin )

  | Create a new event channel. Parameters:
  initial_qos | Configure the initial QoS properties of the new EventChannel
  inital_admin | Configure the initial Admin properties of the new EventChannel
  id | Returns the ID assigned to the new EventChannel
  Returns: The new event channel Exceptions:
  CosNotification::UnsupportedQoS | if the requested QoS properties cannot be satisfied or are invalid
  CosNotification::UnsupportedAdmin | if the requested admin properties cannot be satisfied or are invalid

ChannelIDSeq CosNotifyChannelAdmin::EventChannelFactory::get_all_channels ( | )

| Get the complete list of event channels in this factory.

EventChannel CosNotifyChannelAdmin::EventChannelFactory::get_event_channel ( | in ChannelID id ) raises (ChannelNotFound)

  | Get an event channel given its ID. Parameters:
  id | The ID of the event channel the application wants
  Returns: The event channel Exceptions:
  ChannelNotFound | if the give ID is unknown on this factory

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl